package com.kyle.Dao.imp;

import com.kyle.Dao.UsersDao;
import com.kyle.pojo.Users;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class UsersDaoImpl implements UsersDao{
    @Override
    public List<Users> selectUserAll()throws IOException {
        //创建SqlSessionFactory对象
        InputStream inputStream = Resources.getResourceAsStream("mybaties-cfg.xml");
        SqlSessionFactory sessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
        //获取Sqlsession对象
        SqlSession sqlSession = sessionFactory.openSession();
        //通过SqlSession下的API完成对数据库的操作
        List<Users> list = sqlSession.selectList("com.kyle.mapper.UsersMapper.selectUserAll");
        //关闭SqlSession对象
        sqlSession.close();
        return list;
    }
}
